## WebKitDOMDOMPlugin WebKitDOMDOMPlugin |

## Functions

WebKitDOMDOMMimeType * | webkit_dom_dom_plugin_item ()
WebKitDOMDOMMimeType * | webkit_dom_dom_plugin_named_item ()
gchar * | webkit_dom_dom_plugin_get_name ()
gchar * | webkit_dom_dom_plugin_get_filename ()
gchar * | webkit_dom_dom_plugin_get_description ()
gulong | webkit_dom_dom_plugin_get_length ()

## Properties

gchar * | description | Read
gchar * | filename | Read
gulong | length | Read
gchar * | name | Read

## Types and Values

| WebKitDOMDOMPlugin

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMDOMPlugin

## Description

## Functions

### webkit_dom_dom_plugin_item ()

    WebKitDOMDOMMimeType *
    webkit_dom_dom_plugin_item (WebKitDOMDOMPlugin *self,
                                gulong index);

#### Parameters

self | A WebKitDOMDOMPlugin |
index | A gulong |

#### Returns

A WebKitDOMDOMMimeType.

[transfer full]

### webkit_dom_dom_plugin_named_item ()

    WebKitDOMDOMMimeType *
    webkit_dom_dom_plugin_named_item (WebKitDOMDOMPlugin *self,
                                      const gchar *name);

#### Parameters

self | A WebKitDOMDOMPlugin |
name | A gchar |

#### Returns

A WebKitDOMDOMMimeType.

[transfer full]

### webkit_dom_dom_plugin_get_name ()

    gchar *
    webkit_dom_dom_plugin_get_name (WebKitDOMDOMPlugin *self);

#### Parameters

self | A WebKitDOMDOMPlugin |

#### Returns

A gchar

### webkit_dom_dom_plugin_get_filename ()

    gchar *
    webkit_dom_dom_plugin_get_filename (WebKitDOMDOMPlugin *self);

#### Parameters

self | A WebKitDOMDOMPlugin |

#### Returns

A gchar

### webkit_dom_dom_plugin_get_description ()

    gchar *
    webkit_dom_dom_plugin_get_description (WebKitDOMDOMPlugin *self);

#### Parameters

self | A WebKitDOMDOMPlugin |

#### Returns

A gchar

### webkit_dom_dom_plugin_get_length ()

    gulong
    webkit_dom_dom_plugin_get_length (WebKitDOMDOMPlugin *self);

#### Parameters

self | A WebKitDOMDOMPlugin |

#### Returns

A gulong

## Types and Values

### WebKitDOMDOMPlugin

    typedef struct _WebKitDOMDOMPlugin WebKitDOMDOMPlugin;

## Property Details

### The `“description”` property

      “description”              gchar *

read-only gchar* DOMPlugin:description.

Flags: Read

Default value: ""

### The `“filename”` property

      “filename”                 gchar *

read-only gchar* DOMPlugin:filename.

Flags: Read

Default value: ""

### The `“length”` property

      “length”                   gulong

read-only gulong DOMPlugin:length.

Flags: Read

### The `“name”` property

      “name”                     gchar *

read-only gchar* DOMPlugin:name.

Flags: Read

Default value: ""